Automations
Get an automation
GET
One automation in full: trigger, channels, the posts it watches, keywords, actions, and limits.
header
AuthorizationBearer <token>Send your key as Authorization: Bearer eksis_sk_....
automationId*stringThe automation.
application/json- response
data?curl -X GET 'https://api.eksis.io/v1/automations/string' \ -H 'Authorization: Bearer eksis_sk_...'{ "data": { "id": "string", "name": "string", "status": "active", "trigger": "comment_created", "channelIds": [ "string" ], "posts": [ { "channelId": "string", "label": "string", "permalink": "string", "waitingForScheduledPostId": "string" } ], "keywords": [ "string" ], "keywordMode": "contains", "excludeKeywords": [ "string" ], "contactKind": "any", "actions": [ { "type": "reply_comment", "variants": [ "string" ] } ], "guardrails": { "maxDmPerContactPerDay": 1, "maxActionsPerHour": 1, "quietHours": { "enabled": true, "from": "22:00", "to": "22:00" } }, "summary": "string", "canSwitchOn": true, "blocker": "string", "updatedAt": "2019-08-24T14:15:22Z" }}